import request from "@/utils/request";

// 获取商品管理列表
export function getBrandbaseList(query) {
  return request({
    url: "/brand/brandbase/page",
    method: "get",
    params: query,
  });
}
//新增品牌
export function addBrand(data) {
  return request({
    url: "/brand/brandbase/save",
    method: "post",
    data: data,
  });
}
//编辑品牌
export function updateBrand(data) {
  return request({
    url: "/brand/brandbase/update",
    method: "post",
    data: data,
  });
}
// 删除品牌
export function deleteBrand(id) {
  return request({
    url: `/brand/brandbase/del/${id}`,
    method: "delete",
  });
}

// 获取品牌信息（id）
export function getBrandInfo(id) {
  return request({
    url: `/brand/brandbase/detail/${id}`,
    method: "get",
  });
}
